petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetGlobalSection

Get the PetscSection encoding the global data layout for the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetGlobalSection(DM dm, PetscSection *section)

Collective on DM

### Input Parameter

dm -The DM

### Output Parameter

section -The PetscSection

Note: This gets a borrowed reference, so the user should not destroy this PetscSection.

### See Also

DMSetSection(), DMGetSection()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages